[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponentName

Special type for component names.

## Declaration

Source position: classesh.inc line 29

`type TComponentName = String;`

## Description

Names of components are of type TComponentName. By specifying a different type, the Object inspector can handle this property differently than a standard string property.

Documentation generated on: Feb 26 2014